require "Insurgent/InsurgentTraitDefinitions"

CombatMedicTrait = CreateInsurgentTrait()
CombatMedicTrait.name = "CombatMedic"
CombatMedicTrait.insurgentExclusive = true

function CombatMedicTrait.Create()
    local combatmedic = TraitFactory.addTrait("CombatMedic", getText("UI_trait_CombatMedic"), 4, getText("UI_trait_CombatMedicDesc"), false, false);
	combatmedic:addXPBoost(Perks.Doctor, 3);
    return combatmedic;
end

function CombatMedicTrait.OnNewGame(player)
    if player:HasTrait("CombatMedic") then
        local inv = player:getInventory();
        inv:AddItems("Base.Scissors", 1);		
        inv:AddItems("Base.SutureNeedle", 2);
        inv:AddItems("Base.SutureNeedleHolder", 1);
        inv:AddItems("Base.Pills", 1);
        inv:AddItems("Base.Tweezers", 1);
        inv:AddItems("Base.Antibiotics", 2);
        inv:AddItems("Base.AlcoholBandage", 2);	
        inv:AddItems("Base.AlcoholWipes", 1);		
    end	
end

function CombatMedicTrait.RegisterEvents()
    Events.OnNewGame.Add(CombatMedicTrait.OnNewGame)
end